<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Activity-A</title>
</head>

<body>

    <p><em> Science and Engineering Ethics (2001) 231-238</em></p>
    <hr>
    <h1>Software Engineering Code of Ethics and Professional Practice</h1>
    <p><strong> IEEE-CS/ACM Joint force on Software Engineering Ethics and Proffesional Practice</strong></p>
    <hr>
    <p><strong> Keywords:</strong> code of ethics professional responsibility, software engineering </p>
    <h3>PREAMBLE</h3>
    <p>
        The Short version of the code summarizes aspiration at a high level of abstraction. The clauses that are included in the full version give examples and details of how the aspirations change the way we act as software engineering professionals. Without
        the aspirations the details can become legalistic and tedious; without the details, the astpiration can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
        <br>
        <br> Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintainance of software a beneficial and respected profession. in accordance with their commitment to the health and welfare
        of the public, software engineers shall adhere to the following principles.
    </p>
    <h3>PRINCIPLES</h3>
    <ol>
        <li><em>Public.</em> software engineers shall act consistently with the public interest</li>
        <li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
        <li><em>Product.</em>Software Engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
        <li><em>Judgement.</em> software engineers shall maintain intergrity and independence in their professional judgement</li>
        <li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
        <li><em>Profession.</em> software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
        <li><em>Colleagues.</em>software engineers shall be fair to and supportive of their colleagues.</li>
        <li><em>Self.</em>Software engineers shall praticipate in lifelong learning regarding the practice of their profession and hsall promote an ethical approach to the practice of the profession.</li>
    </ol>
</body>

</html>